/***********************************************************************
*  L BERNARD SA                                                        *
*                                                                      *
*  Copyright (c) 2007 by L BERNARD SA R&D                              *
************************************************************************
*  Name      : INTELLI+ PROFIBUS DP V1
*-----------------------------------------------------------------------
*  Dateiname : DP_DI_lb_intelli+.ddl
*-----------------------------------------------------------------------
*  Dictionary: DP_DI_lb_intelli+.dct					
*-----------------------------------------------------------------------
*  System    : PDM 6.0
*-----------------------------------------------------------------------
*  Klasse    :
*-----------------------------------------------------------------------
*  Compiler  : PDM 6.0
*-----------------------------------------------------------------------
*  Datum     : 19/06/2007
*-----------------------------------------------------------------------
*  Revision  : 2.0
*-----------------------------------------------------------------------
*  Autor     : Dominique SCHWEBEL, L BERNARD SA
******************+*****************************************************
*  Device:	 BERNARD INTELLI+  ACTUATOR - ELECTRIC for DP   
*  Communication:			DP
*  Description:		
*					
***********************************************************************/



MANUFACTURER 598, /*standard*/
DEVICE_TYPE 1, 
DEVICE_REVISION 1,
DD_REVISION 1

/* Includes ------------------------------------------------------ */

//#include "SIHA.inc"

#include "SI_HlpM.inc"	/*menu help standart*/
#include "SI_mainmenu.inc"	/*menu standart*/
#include "SI_FileM.inc" /*menu file standart*/
#include "SI_OptM.inc"	/*menu option stand.*/
#include "SI_ViewM.inc"	//view
#include "bargraph.inc"	//view
#include "commands.inc"	//view
#include "variables.inc"	//view


// DEFINES/--------------------------------------------------------*/

//#define STATUS_SIZE 3

/*----------------------------------------------------------------------------*/

/************************************************************************************/
/*    Local Parameter                                                               */
/*/**********************************************************************************/

VARIABLE dummy   // als Platzhalter fr Leerzeile in Dialogen
{
	LABEL		"";
	CLASS		LOCAL;
	TYPE		ENUMERATED;
	VALIDITY	FALSE;
}


/* -------------------- tables.ddl ---------------------------------- */



/***********************/
/*   Menu Definition   */
/***********************/

  
/*******************************************************************************/
/*****	Table: Specialist ******************************************************/
/*******************************************************************************/

MENU Menu_Main_Specialist	/*menu deroulant*/
{
	LABEL		"menu Specialist";
	ITEMS
	{
		Menu_File,
		Menu_S_Device,
		Menu_View,
		Menu_Options,
		Menu_Help
	}
}

MENU Menu_Main_Maintenance
{
	LABEL		"menu maintenance";
	ITEMS
	{
		Menu_File,
		Menu_M_Device,
		Menu_View,
		Menu_Options,
		Menu_Help
	}
}



METHOD std_LoadinDevice
{
	LABEL		[menu_Device_LoadinDevice];
	CLASS		INPUT;
	DEFINITION
	{
	}
}

METHOD std_LoadinPC
{
	LABEL		[menu_Device_LoadinPC];
	CLASS		INPUT;
	DEFINITION
	{
	}
}

METHOD std_Funktionsleiste
{
	LABEL		[menu_View_Toolbar];
	CLASS		INPUT;
	DEFINITION
	{
	}
}

METHOD std_Statuszeile
{
	LABEL		[menu_View_Statusbar];
	CLASS		INPUT;
	DEFINITION
	{
	}
}

METHOD std_Update
{
	LABEL		[menu_View_Update];
	DEFINITION
	{
	}
}



METHOD calcul_des_x_ouv
{
	LABEL		"calul des X";
	DEFINITION
	{     	int i;
		 
		ReadCommand(read_Courbe_en_ouverture);
		for (i=0; i<101; i++)
	      	x1a[i] = i;

	}
}
METHOD calcul_des_x_ferm
{
	LABEL		"calcul des X";
	DEFINITION
	{    	int i;
		
		ReadCommand(read_Courbe_en_fermeture);
		for (i=0; i<101; i++)
	      	x1f[i] = i;

	}
}

METHOD Reset_temps_partiel
{	
	LABEL	[Reset_temps_partiel];
	DEFINITION
	{int reponse;
	 reponse=SELECT_FROM_LIST([question1],"[YES];[NO]");
	 if (reponse == 0)
	 	{
	 	 WriteCommand(write_Reset_partial);
	   	}
	}
}

METHOD Reset_compteur_partiel
{	
	LABEL	[Reset_compteur_partiel];
	DEFINITION
	{int reponse;
	 reponse=SELECT_FROM_LIST([question2],"[YES];[NO]");
	 if (reponse == 0)
	 	{
	 	 WriteCommand(write_Reset_partial);
	   	}
	}
}



METHOD calcul_dead_band
{
	DEFINITION
	{  float toto;   	
		toto=Dead_Band;
		
		Dead_Band_float=toto/10;

	}
}
METHOD calcul_dead_band2
{
	DEFINITION
	{  float toto;    	
		toto=Dead_Band_float*10;
		
		Dead_Band=toto;

	}
}

MENU Menu_View
{
	LABEL [menu_View];
	ITEMS
	{
	 OnlineWindow_display,//etat de l'appareil
	 OnlineWindow_xy,//courbes de couple
	 SEPARATOR,
	 std_Funktionsleiste,
	 std_Statuszeile,
	 SEPARATOR,
	 std_Update
	}
}






MENU OnlineWindow_display
{
 LABEL  [menu_dialog_diagnosis];
 ITEMS
 {
  Page_position,
  Page_alarmes
 }
}

MENU Page_position
{ACCESS  ONLINE;
 LABEL  "Position";
 ITEMS
 {	BarPosition,
	BarTorque, 
	Valve_Open,
	Valve_Close,
	 //Actuator_Position,
	Torque_Limit_Open,
	Torque_Limit_Close,
	 //Running_Torque,
	 	SEPARATOR,
	Opening_Torque,
	Closing_Torque,
	Close_Tight_Torque,
	Open_Breakout_Torque,
	Selector_To_Local_Position,
	Selector_To_Remote_Position,
	Selector_To_Off_Position,
	Actuator_Openning,
	Actuator_Closing,
	Handwheel_Action,
	Emergency_Command
//	Channel_Is_Primary,

 }
}
MENU Page_alarmes
{ACCESS  ONLINE;
 LABEL  "Alarme";
 ITEMS
 {	Actuator_Fault_Signaling,
	Position_Sensor_Fault,
	Torque_Sensor_Fault,
	Motor_Locked_Alarm_open,
	Motor_Locked_Alarm_close,
	Motor_thermal_protection,
	Phase_Missing,
	Overtravel_Alarm,
	Opening_Direction_Fault,
	Closing_Direction_Fault,
	SEPARATOR,
	 //rajout
	Battery_Fault,	
	Valve_Jammed,
	Aux24V_Fault_Alarm,
	Too_Many_Starts_Alarm,
	Actuator_Pumping,
	Config_Memory_Fault,
	Activity_Memory_Fault,
	Base_Memory_Fault,
	Partiel_Stroke_Fault,
	Intelli_Communication_Fault
 	
 }
}

/*---------------------------------------------------------------------*/
/*    Menu: Device				*/
/*---------------------------------------------------------------------*/
MENU Menu_M_Device
{
	LABEL		[menu_Device];
	ITEMS
	{
		std_LoadinDevice,
		std_LoadinPC,
	}
}

MENU Menu_S_Device
{
	LABEL		[menu_Device];
	ITEMS
	{
		std_LoadinDevice,
		std_LoadinPC,
		//Reset_temps_partiel
		//Reset_compteur_partiel
		
		
 	}
}


/*******************************************************************************/
/*****	DownLoad (UpLoad)   ****************************************************/
/*******************************************************************************/

MENU download_variables
{
	LABEL		[menu_load_to_device];
	ITEMS
	{Open_time_expected
	Slave_adress_port_A
//	Slave_adress_port_B
	Valve_Tag_Number
	Actuator_Number
	Entry_code
	Manufacture_Date
	Operating_Class
	Software_version
	Motor_Supply_Type
	Locked_Motor_timing
	Reverse_Delay_Time
	External_gear_Ratio
	External_Thread
	Stroke_unit
	Stroke_Mesured_During_Setup
	Number_of_starts
	Partial_counter
	Running_time
	Partial_counter2
	Starts_last_12h
	//Local_command_mode
	Local_stop_in_remote_command
	Open_priority
	Close_priority
	Auxiliary_command_1
	Auxiliary_command_2
	Local_stop
	Valve_Open
	Valve_Close
	Actuator_Position
	Torque_Limit_Open
	Torque_Limit_Close
	Running_Torque
	Opening_Torque
	Closing_Torque
	Close_Tight_Torque
	Open_Breakout_Torque
	Selector_To_Local_Position
	Selector_To_Remote_Position
	Selector_To_Off_Position
	Actuator_Openning
	Actuator_Closing
	Handwheel_Action
	Emergency_Command
	Input_34
	Input_35
	Input_36
	Input_37
	Input_38
	Actuator_Fault_Signaling
	Position_Sensor_Fault
	Torque_Sensor_Fault
	Motor_Locked_Alarm_open
	Motor_Locked_Alarm_close
	Motor_thermal_protection
	Phase_Missing
	Overtravel_Alarm
	Opening_Direction_Fault
	Closing_Direction_Fault
		 //rajout
	 Battery_Fault	
	 Valve_Jammed
	 Aux24V_Fault_Alarm
	 Too_Many_Starts_Alarm
	 Actuator_Pumping
	 Config_Memory_Fault
	 Activity_Memory_Fault
	 Base_Memory_Fault
	 Partiel_Stroke_Fault
	 Intelli_Communication_Fault
	Dead_Band
	Timing_Control
	Open_time_expected
	Close_Time_expected
	Start_zone_open
	End_zone_open
	Start_zone_close
	End_zone_close
	Operating_Time
	Closing_Torque_setting
	Closing_Tight_setting
	Open_breakout_setting
	Open_Torque_setting
	Closing_mode
	//Direction_of_Rotation
	Fail_safe_Position
	//Emmergency_commands
	Emergency_torque_100
	Emergency_thermal_bypass
	Partial_Stroke_PC
	Partial_Stroke_Start_Position
	//ref_cpl_ferm
	//ref_cpl_ouv
	}
}


MENU upload_variables
{
	LABEL		[menu_load_to_device];
	ITEMS
	{
	  Valve_Tag_Number
	  Entry_code
	  Local_stop_in_remote_command
	  Open_priority
	  Close_priority
	  Auxiliary_command_1
	  Auxiliary_command_2
	  Local_stop
	  Dead_Band
	  Timing_Control
	  Open_time_expected
	  Close_Time_expected
	  Start_zone_open
	  End_zone_open
	  Start_zone_close
	  End_zone_close
	  Operating_Time
	  Closing_Torque_setting
	  Closing_Tight_setting
	  Open_breakout_setting
	  Open_Torque_setting
	  Fail_safe_Position
	  Emergency_torque_100
	  Emergency_thermal_bypass
	  Partial_Stroke_PC
	  Partial_Stroke_Start_Position
	  
	}
}



/*******************************************************************************/
/*****	Table: Specialist  *****************************************************/
/*******************************************************************************/
MENU Table_Main_Specialist
{
	LABEL	[nom_intelli];
	ITEMS
	{
		Tab_s_data_sheet,   
		Tab_s_activity,
		Tab_s_commands,
		Tab_s_signaling,		
		Tab_s_alarms,
		Tab_s_potitioner,
		Tab_s_timer,
		Tab_s_set_up,
		Tab_s_security,
	}	   	
}


MENU Tab_s_data_sheet
{
	LABEL		[menu_data_sheet];

	ITEMS
	{
	Slave_adress_port_A ,         	/* univ variable */	
//	Slave_adress_port_B , 		/* variable */
  	Valve_Tag_Number ,		/* univ variable */
	Actuator_Number (DISPLAY_VALUE),
	Entry_code ,
	Operating_Class (DISPLAY_VALUE),
	Manufacture_Date (DISPLAY_VALUE), /* univ revision */
	Software_version (DISPLAY_VALUE),/* univ variable */
	Tab_s_Characteristics,
	}
}


MENU	Tab_s_Characteristics	/* caractristiques */
{	LABEL		[Characteristics];
	
	ITEMS
	{
		Motor_Supply_Type (DISPLAY_VALUE),
		Locked_Motor_timing (DISPLAY_VALUE),
		Reverse_Delay_Time (DISPLAY_VALUE),
		External_gear_Ratio,
		External_Thread,
		Stroke_unit ,
		Stroke_Mesured_During_Setup (DISPLAY_VALUE),
	}
}		
	
	
	
	
	

MENU Tab_s_activity
{
	LABEL		[menu_activity];

	ITEMS
	{Number_of_starts,
	 Partial_counter,
	 //Reset_partial,
	 Running_time,
	 Partial_counter2,
	 //Reset_partial2,
	 Starts_last_12h,	 
	}
}


MENU Tab_s_commands
{
	LABEL		[menu_commands];

	ITEMS
	{//Local_command_mode,
	 Auxiliary_command_1,
	 Auxiliary_command_2,
	 Local_stop,
	 Local_stop_in_remote_command,
	 Open_priority,
	 Close_priority,
	 Partial_Stroke_PC,
	 Partial_Stroke_Start_Position,

	}
}


MENU Tab_s_signaling
{
	LABEL		[menu_signaling];
	ACCESS ONLINE;
	ITEMS
	{Valve_Open,
	 Valve_Close,
	 Actuator_Position,
	 Torque_Limit_Open,
	 Torque_Limit_Close,
	 Running_Torque,
	 Opening_Torque,
	 //ref_cpl_ouv,
	 Closing_Torque,
	// ref_cpl_ferm,
	 Close_Tight_Torque,
	 //ref_cpl_etanch,
	 Open_Breakout_Torque,
	 //ref_cpl_deco,
	 Closing_Torque_Curve,
	 Opening_Torque_Curve,
	 Selector_To_Local_Position,
	 Selector_To_Remote_Position,
	 Selector_To_Off_Position,
	 Actuator_Openning,
	 Actuator_Closing,
	 Handwheel_Action,
	 Emergency_Command,
	// Channel_Is_Primary,
	 Channel_Available,
	// Redundancy_Mode,
	 Input_34,
	 Input_35,
	 Input_36,
	 Input_37,
	 Input_38,
	}
}


MENU Tab_s_alarms
{
	LABEL		[menu_alarms];
	
	ITEMS
	{Actuator_Fault_Signaling,
	 Position_Sensor_Fault,
	 Torque_Sensor_Fault,
	 Motor_Locked_Alarm_open,
	 Motor_Locked_Alarm_close,
	 Motor_thermal_protection,
	 Phase_Missing,
	 Overtravel_Alarm,
	 Opening_Direction_Fault,
	 Closing_Direction_Fault,	
	 //rajout
	 Battery_Fault,	
	 Valve_Jammed,
	 Aux24V_Fault_Alarm,
	 Too_Many_Starts_Alarm,
	 Actuator_Pumping,
	 Config_Memory_Fault,
	 Activity_Memory_Fault,
	 Base_Memory_Fault,
	 Partiel_Stroke_Fault,
	 Intelli_Communication_Fault,	 
	}
}

MENU Tab_s_potitioner
{
	LABEL		[menu_positioner];

	ITEMS
	{//Dead_Band,
	Dead_Band_float,
	}
}


MENU Tab_s_timer
{
	LABEL		[menu_timer];

	ITEMS
	{Timing_Control,
	 Open_time_expected,
	 Close_Time_expected,
	 Start_zone_open,
	 End_zone_open,
	 Start_zone_close,
	 End_zone_close,
	}
}

		
MENU Tab_s_set_up
{
	LABEL		[menu_set_up];

	ITEMS
	{Operating_Time,
	 Closing_Torque_setting,
	 Closing_Tight_setting,
	 Open_breakout_setting,
	 Open_Torque_setting,
	 Closing_mode(DISPLAY_VALUE),
	 //Direction_of_Rotation,
	}
}

MENU Tab_s_security
{
	LABEL		[menu_security];
	ITEMS
	{Fail_safe_Position,
	 //Emmergency_commands,
	 Emergency_torque_100,
	 Emergency_thermal_bypass,
	}
}

 



/*******************************************************************************/
/*****	Table: Maintenance  ****************************************************/
/*******************************************************************************/

MENU Table_Main_Maintenance
{
	LABEL	[nom_intelli];
	ITEMS
	{
		Tab_m_data_sheet,   
		Tab_m_activity,
		Tab_m_commands,
		Tab_m_signaling,		
		Tab_m_alarms,
		Tab_m_potitioner,
		Tab_m_timer,
		Tab_m_set_up,
		Tab_m_security,
	}	   	
}


MENU Tab_m_data_sheet
{
	LABEL		[menu_data_sheet];

	ITEMS
	{
	Slave_adress_port_A (READ_ONLY),         	/* univ variable */	
//	Slave_adress_port_B (READ_ONLY), 		/* variable */
  	Valve_Tag_Number(READ_ONLY) , /* univ variable */
	Actuator_Number (DISPLAY_VALUE),
	Entry_code (READ_ONLY),
	Operating_Class (DISPLAY_VALUE),
	Manufacture_Date (DISPLAY_VALUE), /* univ revision */
	Software_version (READ_ONLY),/* univ variable */
	Tab_m_Characteristics,
	}
}


MENU	Tab_m_Characteristics	/* caractristiques */
{	LABEL		[Characteristics];
	
	ITEMS
	{
		Motor_Supply_Type (READ_ONLY),
		Locked_Motor_timing (READ_ONLY),
		Reverse_Delay_Time (READ_ONLY),
		External_gear_Ratio(READ_ONLY),
		External_Thread(READ_ONLY),
		Stroke_unit (READ_ONLY),
		Stroke_Mesured_During_Setup (READ_ONLY),
	}
}		
	
	
	
	
	

MENU Tab_m_activity
{
	LABEL		[menu_activity];

	ITEMS
	{Number_of_starts(READ_ONLY),
	 Partial_counter(READ_ONLY),
	 //Reset_partial(READ_ONLY),
	 Running_time(READ_ONLY),
	 Partial_counter2(READ_ONLY),
	 //Reset_partial2(READ_ONLY),
	 Starts_last_12h(READ_ONLY),	 
	}
}


MENU Tab_m_commands
{
	LABEL		[menu_commands];

	ITEMS
	{//Local_command_mode(READ_ONLY),
	 Auxiliary_command_1(READ_ONLY),
	 Auxiliary_command_2(READ_ONLY),
	 Local_stop(READ_ONLY),
	 Local_stop_in_remote_command(READ_ONLY),
	 Open_priority(READ_ONLY),
	 Close_priority(READ_ONLY),
	 Partial_Stroke_PC(READ_ONLY),
	  Partial_Stroke_Start_Position(READ_ONLY),
	}
}


MENU Tab_m_signaling
{
	LABEL		[menu_signaling];
	ACCESS ONLINE;
	ITEMS
	{Valve_Open,
	 Valve_Close,
	 Actuator_Position,
	 Torque_Limit_Open,
	 Torque_Limit_Close,
	 Running_Torque,
	 Opening_Torque,
	 //ref_cpl_ouv,
	 Closing_Torque,
	 //ref_cpl_ferm,
	 Close_Tight_Torque,
	 //ref_cpl_etanch,
	 Open_Breakout_Torque,
	 //ref_cpl_deco,
	 Closing_Torque_Curve,
	 Opening_Torque_Curve,
	 Selector_To_Local_Position,
	 Selector_To_Remote_Position,
	 Selector_To_Off_Position,
	 Actuator_Openning,
	 Actuator_Closing,
	 Handwheel_Action,
	 Emergency_Command,
	 //	 Channel_Is_Primary,
	 Channel_Available,
	 //Redundancy_Mode,
	 Input_34,
	 Input_35,
	 Input_36,
	 Input_37,
	 Input_38,
	}
}


MENU Tab_m_alarms
{
	LABEL		[menu_alarms];
	
	ITEMS
	{Actuator_Fault_Signaling,
	 Position_Sensor_Fault,
	 Torque_Sensor_Fault,
	 Motor_Locked_Alarm_open,
	 Motor_Locked_Alarm_close,
	 Motor_thermal_protection,
	 Phase_Missing,
	 Overtravel_Alarm,
	 Opening_Direction_Fault,
	 Closing_Direction_Fault,	
	 //rajout
	 Battery_Fault,	
	 Valve_Jammed,
	 Aux24V_Fault_Alarm,
	 Too_Many_Starts_Alarm,
	 Actuator_Pumping,
	 Config_Memory_Fault,
	 Activity_Memory_Fault,
	 Base_Memory_Fault,
	 Partiel_Stroke_Fault,
	 Intelli_Communication_Fault,
	}
}

MENU Tab_m_potitioner
{
	LABEL		[menu_positioner];

	ITEMS
	{Dead_Band(READ_ONLY),
	
	}
}


MENU Tab_m_timer
{
	LABEL		[menu_timer];

	ITEMS
	{Timing_Control(READ_ONLY),
	 Open_time_expected(READ_ONLY),
	 Close_Time_expected(READ_ONLY),
	 Start_zone_open(READ_ONLY),
	 End_zone_open(READ_ONLY),
	 Start_zone_close(READ_ONLY),
	 End_zone_close(READ_ONLY),
	}
}

		
MENU Tab_m_set_up
{
	LABEL		[menu_set_up];

	ITEMS
	{Operating_Time(READ_ONLY),
	 Closing_Torque_setting(READ_ONLY),
	 Closing_Tight_setting(READ_ONLY),
	 Open_breakout_setting(READ_ONLY),
	 Open_Torque_setting(READ_ONLY),
	 Closing_mode(READ_ONLY),
	 //Direction_of_Rotation(READ_ONLY),
	}
}

MENU Tab_m_security
{
	LABEL		[menu_security];
	ITEMS
	{Fail_safe_Position(READ_ONLY),
	 //Emmergency_commands(READ_ONLY),
	 Emergency_torque_100(READ_ONLY),
	 Emergency_thermal_bypass(READ_ONLY),
	}
}
/********************************************************************************/
/**********************Menu courbes *********************************************/
/********************************************************************************/
MENU OnlineWindow_xy
{
      LABEL            [courbe_couple];
      ITEMS
      {
      	page_courbe_ouverture,
      	page_courbe_fermeture
      }
}

MENU page_courbe_ouverture
{
	LABEL            [page_courbe_ouverture];
	ITEMS 	         { OCX_courbe_ouv }
	PRE_EDIT_ACTIONS { calcul_des_x_ouv }
	
}
MENU page_courbe_fermeture
{
        LABEL            [page_courbe_fermeture];
        ITEMS            { OCX_courbe_ferm }
	PRE_EDIT_ACTIONS { calcul_des_x_ferm }
}
MENU OCX_courbe_ouv
{
      LABEL            "OCX AUF";
      STYLE            "PDMTVPROXY.PDMTVProxyCtrl.1";
      ITEMS
      {
        OCX_ProfilNum_xy,	 // Profil-Nummer
        OCX_display_kurve1_auf,  // 1. Kurve Richtung "AUF"
        OCX_UserSettings_xy_ouv  // Fr Speicherung von Settings, die vom Benutzer 
      }
}
MENU OCX_courbe_ferm
{
      LABEL            "OCX ZU";
      STYLE            "PDMTVPROXY.PDMTVProxyCtrl.1";
      ITEMS
      {   OCX_ProfilNum_xy,	 // Profil-Nu
          OCX_display_kurve1_zu,   // 1. Kurve Richtung "ZU"
          OCX_UserSettings_xy_ferm  
      }
}
MENU OCX_display_kurve1_auf
{
      LABEL            "OCX Kurve 1 AUF";
      STYLE            "OCX_DYNAMIC_XY";
      ITEMS
      { x_werte_kurve1_auf,
	y_werte_kurve1_auf,
        x_min_momentenkurve,
      	x_max_momentenkurve,
      	y_min_momentenkurve,
      	y_max_momentenkurve
     }
}
MENU x_werte_kurve1_auf
{
      LABEL            "X-Werte Kurve 1 AUF";
      STYLE            "OCX_X_LIST";
      ITEMS
      { x1a }
}
MENU y_werte_kurve1_auf
{
      LABEL            [Torque];
      STYLE            "OCX_Y_LIST";
      ITEMS
      { y1a}
}
MENU x_werte_kurve1_zu
{
      LABEL            "X-Werte Kurve 1 AUF";
      STYLE            "OCX_X_LIST";
      ITEMS
      { x1f }
}
MENU y_werte_kurve1_zu
{
      LABEL            [Torque];
      STYLE            "OCX_Y_LIST";
      ITEMS
      { y1f}
}
MENU OCX_display_kurve1_zu
{
      LABEL            "OCX Kurve 1 ZU";
      STYLE            "OCX_DYNAMIC_XY";
      ITEMS
      {
	x_werte_kurve1_zu,
	y_werte_kurve1_zu,
      	x_min_momentenkurve,
      	x_max_momentenkurve,
     	y_min_momentenkurve,
      	y_max_momentenkurve
      }
}


/*******************************************************************************/
/*****	Methods		************************************************************/
/*******************************************************************************/




