/********************************************************
*	Rajout DS 9/8/06				*
*       variables 
*********************************************************/

VARIABLE Slave_adress_port_A
{
    LABEL   [Slave_adress_port_A];
    HELP	[Help_Slave_adress_port_A];
    CLASS	DEVICE;
    TYPE	UNSIGNED_INTEGER (1)
	{
		DEFAULT_VALUE 2;
		MIN_VALUE 0;
		MAX_VALUE 125;
    	}
    HANDLING READ;// & WRITE;
}

VARIABLE Slave_adress_port_B
{
    LABEL   [Slave_adress_port_B];
    HELP	[Help_Slave_adress_port_B];
    CLASS	LOCAL&DYNAMIC;
    TYPE	UNSIGNED_INTEGER (1)
	{
		DEFAULT_VALUE 2;
		MIN_VALUE 0;
		MAX_VALUE 125;
    	}
    HANDLING READ ;//& WRITE;
}

VARIABLE Valve_Tag_Number
{
    LABEL   [Valve_tag_number];
    HELP	[Help_Valve_tag_number];
    CLASS	LOCAL&DYNAMIC;
    TYPE	ASCII (8)
	{	DEFAULT_VALUE "MOV51VV";
    	}
    HANDLING READ & WRITE;
}

VARIABLE Actuator_Number
{
    LABEL   [Actuator_Number];
    HELP	[Help_Actuator_Number];
    CLASS	LOCAL&DYNAMIC;
    TYPE	ASCII (16)
	{
		INITIAL_VALUE "87865 01.001";	
    	}
    HANDLING READ ;
}

VARIABLE Entry_code
{
    LABEL   [Entry_code];
    HELP	[Help_Entry_code];
    CLASS	LOCAL&DYNAMIC;
    TYPE	ASCII (3)
	{
		DEFAULT_VALUE "000";	
	}
    HANDLING READ & WRITE ;
}

VARIABLE Operating_Class
{
    LABEL   	[Operating_Class];
    HELP	[Help_Operating_Class];
    CLASS	LOCAL&DYNAMIC;
    TYPE	ENUMERATED
	{
		DEFAULT_VALUE 1;
		{1,[class1],[class1]},	/*T O R*/
		{2,[class2],[class2]},	/*classe 3*/
		{3,[class3],[class3]}	/*classe 2*/
		
    	}
    HANDLING READ;
}

VARIABLE Manufacture_Date
{
    LABEL   	[Manufacture_Date];
    HELP	[Help_Manufacture_Date];
    CLASS	LOCAL&DYNAMIC;
    TYPE	ASCII (10)
	{
	DEFAULT_VALUE "20/01/2007";
	
    	}
    HANDLING READ;
}


VARIABLE Software_version
{
    LABEL   	[Software_version];
    HELP	[Help_Software_version];
    CLASS	LOCAL&DYNAMIC;
    TYPE	ASCII (4)
	{
	DEFAULT_VALUE "2.00";
    	}
    HANDLING READ;
}

VARIABLE Motor_Supply_Type
{
    LABEL   	[motor_type];
    HELP	[motor_type];
    CLASS	LOCAL&DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 1;
		{0,[tri]},
		{1,[mono]}
		{2,[DC]}
    	}
    HANDLING READ;
}

VARIABLE Locked_Motor_timing
{
    LABEL   	[Locked_Motor_timing];
    HELP	[Locked_Motor_timing];
    CLASS	LOCAL&DYNAMIC;
    TYPE	UNSIGNED_INTEGER (1)
	{	DEFAULT_VALUE 10;
	}
    CONSTANT_UNIT [sec];
    HANDLING READ;
}


VARIABLE Reverse_Delay_Time
{
    LABEL   	[Reverse_Delay_Time];
    HELP	[Reverse_Delay_Time];
    CLASS	LOCAL&DYNAMIC;
    TYPE	UNSIGNED_INTEGER (1)
	{	DEFAULT_VALUE 200;
		SCALING_FACTOR 50;
    	}
    CONSTANT_UNIT [msec];
    HANDLING READ;
}

VARIABLE External_gear_Ratio
{
    LABEL   	[External_gear_Ratio];
    HELP	[External_gear_Ratio];
    CLASS	LOCAL&DYNAMIC;
    TYPE	UNSIGNED_INTEGER (2)
	{	DEFAULT_VALUE 1;
		MIN_VALUE 1;
		MAX_VALUE 32768;
    	}
    HANDLING READ ;
}

VARIABLE External_Thread
{
    LABEL   	[External_Thread];
    HELP	[External_Thread];
    CLASS	LOCAL&DYNAMIC;
    TYPE	UNSIGNED_INTEGER (1)
	{	DEFAULT_VALUE 0;
    	}
    CONSTANT_UNIT [mm];
    HANDLING READ ;
}

VARIABLE Stroke_unit
{
    LABEL   	[Stroke_unit];
    HELP	[Stroke_unit];
    CLASS	LOCAL&DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 1;
		{1,[Number_of_turn]},
		{2,""},
		{3,"mm"}
    	}
    HANDLING READ;
}


VARIABLE Stroke_Mesured_During_Setup
{
    LABEL   	[Stroke_Mesured_During_Setup];
    HELP	[Stroke_Mesured_During_Setup];
    CLASS	LOCAL&DYNAMIC;
    TYPE	UNSIGNED_INTEGER (2)
	{	DEFAULT_VALUE 0;
    	}
    HANDLING READ;
}

/*activity*/
VARIABLE Number_of_starts
{
    LABEL   	[Number_of_starts];
    HELP	[Number_of_starts];
    CLASS	LOCAL&DYNAMIC;
    TYPE	UNSIGNED_INTEGER (4)
	{	DEFAULT_VALUE 110250;
    	}
    HANDLING READ;
}

VARIABLE Partial_counter
{
    LABEL   	[Partial_counter];
    HELP	[Partial_counter];
    CLASS	LOCAL&DYNAMIC;
    TYPE	UNSIGNED_INTEGER (4)
	{	DEFAULT_VALUE 2502;
    	}
    HANDLING READ;
}

VARIABLE Reset_partial
{
    LABEL   	[Reset_partial];
    HELP	[Reset_partial];
    CLASS	LOCAL;
    TYPE	ASCII(10)
	{	DEFAULT_VALUE [see_menu];
    	}
    HANDLING READ;
}
VARIABLE Reset_Time
{
    LABEL   	[Reset_Time];
    HELP	[Reset_Time];
    CLASS	CONTAINED;
    TYPE	INTEGER
	{	DEFAULT_VALUE 1;
    	}
  DEFAULT_VALUE 0;
  HANDLING  WRITE;
}

VARIABLE Running_time
{
    LABEL   	[Running_time];
    HELP	[Running_time];
    CLASS	LOCAL&DYNAMIC;
    TYPE	UNSIGNED_INTEGER(4)
	{	DEFAULT_VALUE 45.9;
		DISPLAY_FORMAT "6.1f";
		SCALING_FACTOR 0.0000277777;
    	}
   	CONSTANT_UNIT [hr];
  	HANDLING READ;
}

VARIABLE Partial_counter2
{
    LABEL   	[Partial_counter];
    HELP	[Partial_counter];
    CLASS	LOCAL&DYNAMIC;
    TYPE	UNSIGNED_INTEGER(4)
	{	DEFAULT_VALUE 0.8;
		DISPLAY_FORMAT "6.1f";
		SCALING_FACTOR 0.0000277777;
    	}
    HANDLING READ;
    CONSTANT_UNIT [hr];

}


VARIABLE Reset_partial2
{
    LABEL   	[Reset_partial];
    HELP	[Reset_partial];
    CLASS	LOCAL;
    TYPE	ASCII(10)
	{	DEFAULT_VALUE [see_menu];
    	}
    HANDLING READ;
}

VARIABLE Starts_last_12h
{
    LABEL   	[Starts_last_12h];
    HELP	[Starts_last_12h];
    CLASS	LOCAL&DYNAMIC;
    TYPE	UNSIGNED_INTEGER (2)
	{	DEFAULT_VALUE 110;
    	}
    HANDLING READ;
}	 

VARIABLE Local_command_mode
{
    LABEL   	[Local_command_mode];
    HELP	[Local_command_mode];
    CLASS	LOCAL&DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[Pulse_control]}
		{1,[Maintained_control]}
 		{2,"0-100%"}
    	}
    HANDLING READ & WRITE;
}
	 
VARIABLE Local_stop_in_remote_command
{
    LABEL   	[Local_stop_in_remote_command];
    HELP	[Local_stop_in_remote_command];
    CLASS	LOCAL&DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[yes]}
		{1,[no]}
    	}
    HANDLING READ & WRITE;
}

VARIABLE Open_priority
{
    LABEL   	[Open_priority];
    HELP	[Open_priority];
    CLASS	LOCAL&DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 1;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ & WRITE;
}
	 
VARIABLE Close_priority
{
    LABEL   	[Close_priority];
    HELP	[Close_priority];
    CLASS	LOCAL&DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 1;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ & WRITE;
}

VARIABLE Auxiliary_command_1
{
    LABEL   	[Auxiliary_command_1];
    HELP	[Auxiliary_command_1];
    CLASS	LOCAL&DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 3;
		{0,[sans]}
		{1,[Local_Distance]}//local distance filaire
		{2,[Local_Distance_Local]}//local+distance  local
		{3,[Interdiction_Local]}
		{4,[Interdiction_Ouverture]}
		{5,[Interdiction_Fermeture]}
		{6,[Auto_on_off]}
		{8,[ESD_Ouverture]}
		{7,[ESD_Fermeture]}
		{9,[ESD_Stop]}
		{10,[Partial_Stroke]}
    	}
    HANDLING READ & WRITE;
}

VARIABLE Auxiliary_command_2
{
    LABEL   	[Auxiliary_command_2];
    HELP	[Auxiliary_command_2];
    CLASS	LOCAL&DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 7;
		{0,[sans]}
		{1,[Local_Distance]}//local distance filaire
		{2,[Local_Distance_Local]}//local+distance  local
		{3,[Interdiction_Local]}
		{4,[Interdiction_Ouverture]}
		{5,[Interdiction_Fermeture]}
		{6,[Auto_on_off]}
		{7,[ESD_Fermeture]}
		{8,[ESD_Ouverture]}
		{9,[ESD_Stop]}
		{10,[Partial_Stroke]}
    	}
    HANDLING READ & WRITE;
}

VARIABLE Local_stop
{
    LABEL   	[Local_stop];
    HELP	[Local_stop];
    CLASS	LOCAL&DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ & WRITE;
}
//variable d'tat
VARIABLE Valve_Open
{
    LABEL   	[Valve_Open];
    HELP	[Valve_Open];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 1;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}


VARIABLE Valve_Close
{
    LABEL   	[Valve_Closed];
    HELP	[Valve_Closed];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Actuator_Position
{
    LABEL   	[Actuator_Position];
    HELP	[Actuator_Position];
    CLASS	DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 100;

	}
    CONSTANT_UNIT [Percent];
    HANDLING READ;
}

VARIABLE Torque_Limit_Open
{
    LABEL   	[Torque_Limit_Open];
    HELP	[Torque_Limit_Open];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Torque_Limit_Close
{
    LABEL   	[Torque_Limit_Close];
    HELP	[Torque_Limit_Close];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Running_Torque
{
    LABEL   	[Running_Torque];
    HELP	[Running_Torque];
    CLASS	DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 0;

	}
    CONSTANT_UNIT [Percent];
    HANDLING READ;
}

VARIABLE Opening_Torque
{
    LABEL   	[Opening_Torque];
    HELP	[Opening_Torque];
    CLASS	DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 36;

	}
    CONSTANT_UNIT [Percent];
    HANDLING READ;
}

VARIABLE Closing_Torque
{
    LABEL   	[Closing_Torque];
    HELP	[Closing_Torque];
    CLASS	DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 34;

	}
    CONSTANT_UNIT [Percent];
    HANDLING READ;
}

VARIABLE Close_Tight_Torque
{
    LABEL   	[Close_Tight_Torque];
    HELP	[Close_Tight_Torque];
    CLASS	DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 54;

	}
    CONSTANT_UNIT [Percent];
    HANDLING READ;
}

VARIABLE Open_Breakout_Torque
{
    LABEL   	[Open_Breakout_Torque];
    HELP	[Open_Breakout_Torque];
    CLASS	DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 45;

	}
    CONSTANT_UNIT [Percent];
    HANDLING READ;
}

VARIABLE Closing_Torque_Curve
{
    LABEL   	[Closing_Torque_Curve];
    HELP	[Closing_Torque_Curve];
    CLASS	LOCAL;
    TYPE	ASCII(10)
	{	DEFAULT_VALUE [see_menu];
    	}
    HANDLING READ;
}

VARIABLE Opening_Torque_Curve
{
    LABEL   	[Opening_Torque_Curve];
    HELP	[Opening_Torque_Curve];
    CLASS	LOCAL;
    TYPE	ASCII(10)
	{	DEFAULT_VALUE [see_menu];
    	}
    HANDLING READ;
}

VARIABLE Selector_To_Local_Position
{
    LABEL   	[Selector_To_Local_Position];
    HELP	[Selector_To_Local_Position];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Selector_To_Remote_Position
{
    LABEL   	[Selector_To_Remote_Position];
    HELP	[Selector_To_Remote_Position];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 1;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}


VARIABLE Selector_To_Off_Position
{
    LABEL   	[Selector_To_Off_Position];
    HELP	[Selector_To_Off_Position];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}


VARIABLE Actuator_Openning
{
    LABEL   	[Actuator_Openning];
    HELP	[Actuator_Openning];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}


VARIABLE Actuator_Closing
{
    LABEL   	[Actuator_Closing];
    HELP	[Actuator_Closing];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}


VARIABLE Handwheel_Action
{
    LABEL   	[Handwheel_Action];
    HELP	[Handwheel_Action];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Emergency_Command
{
    LABEL   	[Emergency_Command];
    HELP	[Emergency_Command];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Input_34
{
    LABEL   	[Input_34];
    HELP	[Input_34];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Input_35
{
    LABEL   	[Input_35];
    HELP	[Input_35];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Input_36
{
    LABEL   	[Input_36];
    HELP	[Input_36];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Input_37
{
    LABEL   	[Input_37];
    HELP	[Input_37];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Input_38
{
    LABEL   	[Input_38];
    HELP	[Input_38];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Actuator_Fault_Signaling
{
    LABEL   	[Actuator_Fault_Signaling];
    HELP	[Actuator_Fault_Signaling];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Position_Sensor_Fault
{
    LABEL   	[Position_Sensor_Fault];
    HELP	[Position_Sensor_Fault];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Torque_Sensor_Fault
{
    LABEL   	[Torque_Sensor_Fault];
    HELP	[Torque_Sensor_Fault];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Motor_Locked_Alarm_open
{
    LABEL   	[Motor_Locked_Alarm_open];
    HELP	[Motor_Locked_Alarm_open];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Motor_Locked_Alarm_close
{
    LABEL   	[Motor_Locked_Alarm_close];
    HELP	[Motor_Locked_Alarm_close];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Motor_thermal_protection
{
    LABEL   	[Motor_thermal_protection];
    HELP	[Motor_thermal_protection];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Phase_Missing
{
    LABEL   	[Phase_Missing];
    HELP	[Phase_Missing];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}


VARIABLE Overtravel_Alarm
{
    LABEL   	[Overtravel_Alarm];
    HELP	[Overtravel_Alarm];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Opening_Direction_Fault
{
    LABEL   	[Opening_Direction_Fault];
    HELP	[Opening_Direction_Fault];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Closing_Direction_Fault
{
    LABEL   	[Closing_Direction_Fault];
    HELP	[Closing_Direction_Fault];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Dead_Band_float
{
    LABEL   	[Dead_Band];
    HELP	[Dead_Band];
    CLASS	LOCAL;
    TYPE	FLOAT
	{	//DEFAULT_VALUE 1.0;
		DISPLAY_FORMAT "1.1f";
		MIN_VALUE 0.2;
		MAX_VALUE 5;
	}
    PRE_EDIT_ACTIONS
    	{calcul_dead_band()
		}
	POST_EDIT_ACTIONS
		{
		calcul_dead_band2()
		}
	CONSTANT_UNIT [Percent];
    HANDLING READ&WRITE;
}

VARIABLE Dead_Band
{
    LABEL   	[Dead_Band];
    HELP	[Dead_Band];
    CLASS	DYNAMIC;
    TYPE	INTEGER  (1)
	{	DEFAULT_VALUE 10;
		//MIN_VALUE 2;
		//MAX_VALUE 50;
		DISPLAY_FORMAT "1.1f";
	
	}
    HANDLING READ & WRITE;
}

VARIABLE Timing_Control
{
    LABEL   	[Timing_Control];
    HELP	[Timing_Control];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ & WRITE;
}

VARIABLE Open_time_expected
{
    LABEL   	[Open_time_expected];
    HELP	[Open_time_expected];
    CLASS	DYNAMIC;
    TYPE	INTEGER (2)
	{	DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 32768;
	}
    CONSTANT_UNIT [sec];
    HANDLING READ & WRITE;
}

VARIABLE Close_Time_expected
{
    LABEL   	[Close_Time_expected];
    HELP	[Close_Time_expected];
    CLASS	DYNAMIC;
    TYPE	INTEGER (2)
	{	DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 32768;
	}
    CONSTANT_UNIT [sec];
    HANDLING READ & WRITE;
}

VARIABLE Start_zone_open
{
    LABEL   	[Start_zone_open];
    HELP	[Start_zone_open];
    CLASS	DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
    CONSTANT_UNIT [Percent];
    HANDLING READ & WRITE;
}

VARIABLE End_zone_open
{
    LABEL   	[End_zone_open];
    HELP	[End_zone_open];
    CLASS	DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 100;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
    CONSTANT_UNIT [Percent];
    HANDLING READ & WRITE;
}

VARIABLE Start_zone_close
{
    LABEL   	[Start_zone_close];
    HELP	[Start_zone_close];
    CLASS	DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 100;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
    CONSTANT_UNIT [Percent];
    HANDLING READ & WRITE;
}

VARIABLE End_zone_close
{
    LABEL   	[End_zone_close];
    HELP	[End_zone_close];
    CLASS	DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
    CONSTANT_UNIT [Percent];
    HANDLING READ & WRITE;
}

VARIABLE Operating_Time
{
    LABEL   	[Operating_Time];
    HELP	[Operating_Time];
    CLASS	DYNAMIC;
    TYPE	INTEGER (2)
	{	DEFAULT_VALUE 30;
	}
    CONSTANT_UNIT [sec];
    HANDLING READ & WRITE;
}

VARIABLE Closing_Torque_setting
{
    LABEL   	[Closing_Torque_setting];
    HELP	[Closing_Torque_setting];
    CLASS	DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 50;
		MIN_VALUE 40;
		MAX_VALUE 100;
	}
    CONSTANT_UNIT [Percent];
    HANDLING READ & WRITE;
}

VARIABLE Closing_Tight_setting
{
    LABEL   	[Closing_Tight_setting];
    HELP	[Closing_Tight_setting];
    CLASS	DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 50;
		MIN_VALUE 40;
		MAX_VALUE 100;
	}
    CONSTANT_UNIT [Percent];
    HANDLING READ & WRITE;
}

VARIABLE Open_breakout_setting
{
    LABEL   	[Open_breakout_setting];
    HELP	[Open_breakout_setting];
    CLASS	DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 60;
		MIN_VALUE 40;
		MAX_VALUE 101;
	}
    CONSTANT_UNIT [Percent];
    HANDLING READ & WRITE;
}

VARIABLE Open_Torque_setting
{
    LABEL   	[Open_Torque_setting];
    HELP	[Open_Torque_setting];
    CLASS	DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 50;
		MIN_VALUE 40;
		MAX_VALUE 100;
	}
    CONSTANT_UNIT [Percent];
    HANDLING READ & WRITE;
}

VARIABLE ref_cpl_deco
{
    LABEL   	[ref_cpl_deco];
    HELP	[ref_cpl_deco];
    CLASS	DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 255;
	}
    CONSTANT_UNIT [Percent];
    HANDLING READ;
}
VARIABLE ref_cpl_etanch
{
    LABEL   	[ref_cpl_etanch];
    HELP	[ref_cpl_etanch];
    CLASS	DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 255;
	}
    CONSTANT_UNIT [Percent];
    HANDLING READ;
}
VARIABLE ref_cpl_ferm
{
    LABEL   	[ref_cpl_ferm];
    HELP	[ref_cpl_ferm];
    CLASS	DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 255;
	}
    CONSTANT_UNIT [Percent];
    HANDLING READ ;
}


VARIABLE ref_cpl_ouv
{
    LABEL   	[ref_cpl_ouv];
    HELP	[ref_cpl_ouv];
    CLASS	DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 255;
	}
    CONSTANT_UNIT [Percent];
    HANDLING READ;
}


VARIABLE Closing_mode
{
    LABEL   	[Closing_mode];
    HELP	[Closing_mode];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 1;
		{0,[Close_on_position]}
		{1,[Close_on_torque]}
		//{2,[Close_open_on_torque]}
		{3,[Close_open_on_torque]}
    	}
    HANDLING READ ;
}

VARIABLE Direction_of_Rotation
{
    LABEL   	[Direction_of_Rotation];
    HELP	[Direction_of_Rotation];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{8,[closing_clockwise]}
		{0,[Closing_counter_clockwise]}
   	}
    HANDLING READ ;
}

VARIABLE Fail_safe_Position
{
    LABEL   	[Fail_safe_Position];
    HELP	[Fail_safe_Position];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[Stayput]}
		{1,[Closing]}
		{2,[Opening]}
   	}
    HANDLING READ & WRITE;
}

VARIABLE Emmergency_commands
{
    LABEL   	[Emmergency_commands];
    HELP	[Emmergency_commands];
    CLASS	LOCAL;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
   	}
    HANDLING READ;
}


VARIABLE Emergency_torque_100
{
    LABEL   	[Emergency_torque_100];
    HELP	[Emergency_torque_100];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
   	}
    HANDLING READ & WRITE;
}

VARIABLE Emergency_thermal_bypass
{
    LABEL   	[Emergency_thermal_bypass];
    HELP	[Emergency_thermal_bypass];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
   	}
    HANDLING READ & WRITE;
}

VARIABLE OCX_UserSettings_xy_ouv		// pour l'enregistrement des modifications
{
	LABEL		"UserSettings";
	STYLE		"OCX_PROPERTY";
	CLASS		LOCAL;
	TYPE		ASCII (1000)
	{
		DEFAULT_VALUE	"";
	}
	HANDLING	READ & WRITE;
}
VARIABLE OCX_UserSettings_xy_ferm		// pour l'enregistrement des modifications
{
	LABEL		"UserSettings";
	STYLE		"OCX_PROPERTY";
	CLASS		LOCAL;
	TYPE		ASCII (1000)
	{
		DEFAULT_VALUE	"";
	}
	HANDLING	READ & WRITE;
}

VARIABLE OCX_ProfilNum_xy	// Profil-Variable fr OCX yx
{
	LABEL		"ProfilID";
	STYLE		"OCX_PROPERTY";
	CLASS		LOCAL;
	TYPE		INTEGER(2)
	{
		DEFAULT_VALUE	1003;
	}

	HANDLING READ ;
}

VARIABLE x
{
   LABEL         "x"+ARRAY_INDEX;
   CLASS         LOCAL;
   TYPE          INTEGER;
   CONSTANT_UNIT "%";
   HANDLING	 READ;
}

VARIABLE eta
{
   LABEL         "etat"+ARRAY_INDEX;
   CLASS         LOCAL;
   TYPE          INTEGER;
   HANDLING	 READ;
}
VARIABLE y
{
   LABEL         [Torque];//"y"+ARRAY_INDEX;
   CLASS         LOCAL;
   TYPE          INTEGER;
   CONSTANT_UNIT "%";
   HANDLING	 READ;
}
ARRAY x1a { NUMBER_OF_ELEMENTS 101;  TYPE x;  }
ARRAY x1f { NUMBER_OF_ELEMENTS 101;  TYPE x;  }
ARRAY y1a { NUMBER_OF_ELEMENTS 101;  TYPE y;  }
ARRAY y1f { NUMBER_OF_ELEMENTS 101;  TYPE y;  }
ARRAY etat { NUMBER_OF_ELEMENTS 60;  TYPE eta;  }

VARIABLE x_min_momentenkurve     // Minimalwert fr Positionswert der Momentenkurve
{
	LABEL		[Position];
	CLASS		LOCAL;
	TYPE		FLOAT;
        DEFAULT_VALUE   0;
        CONSTANT_UNIT   "%";
 	HANDLING    READ;
}
/******************************************************************************/
VARIABLE x_max_momentenkurve     // Maximalwert fr Positionswert der Momentenkurve
{
	LABEL		"Pos max";
	CLASS		LOCAL;
	TYPE		FLOAT;
        DEFAULT_VALUE   100;
        CONSTANT_UNIT   "%";
	HANDLING    READ;
}
/******************************************************************************/
VARIABLE y_min_momentenkurve     // Minimalwert fr Momentenwert der Momentenkurve
{
	LABEL		[Torque];
	CLASS		LOCAL;
	TYPE		FLOAT;
        DEFAULT_VALUE   0;
        CONSTANT_UNIT   "%";
	HANDLING    READ;
}
/******************************************************************************/
VARIABLE y_max_momentenkurve     // Maximalwert fr Momentenwert der Momentenkurve
{
	LABEL		[Torque];
	CLASS		LOCAL;
	TYPE		FLOAT;
        DEFAULT_VALUE 	150;
        CONSTANT_UNIT   "%";
	HANDLING    READ;
}
#define YT1_VALUE	valeur


VARIABLE valeur     // Maximalwert fr Momentenwert der Momentenkurve
{
	LABEL		[Torque];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
        DEFAULT_VALUE 	50;
        DISPLAY_FORMAT "3.1f";
      //  CONSTANT_UNIT   "%";
	HANDLING    READ;
}


VARIABLE mini     // Maximalwert fr Momentenwert der Momentenkurve
{
	LABEL		[Torque];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
        DISPLAY_FORMAT "3.1f";
        DEFAULT_VALUE 	0;
 //       CONSTANT_UNIT   "%";
	HANDLING    READ;
}


VARIABLE maxi     // Maximalwert fr Momentenwert der Momentenkurve
{
	LABEL		[Torque];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
        DEFAULT_VALUE 	100;
        DISPLAY_FORMAT "3.1f";
   //     CONSTANT_UNIT   "%";
	HANDLING    READ;
}


VARIABLE memo_ref
{
    LABEL   	[memo_ref];
    HELP	[memo_ref];
    CLASS	DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 1;
	}
    HANDLING  WRITE;
}
//rajout
VARIABLE Partial_Stroke_PC
{
    LABEL   	[Partial_Stroke_PC];
    HELP	[Partial_Stroke_PC];
    CLASS	LOCAL&DYNAMIC;
    TYPE	INTEGER (1)
	{	DEFAULT_VALUE 10;
		MIN_VALUE 1;
		MAX_VALUE 100;
	}
    CONSTANT_UNIT [Percent];
    HANDLING READ & WRITE;
}
VARIABLE Partial_Stroke_Start_Position
{
    LABEL   	[Partial_Stroke_Start_Position];
    HELP	[Partial_Stroke_Start_Position];
    CLASS	LOCAL&DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 1;
		{0,[Valve_Closed]}
		{1,[Valve_Open]}
    	}
    HANDLING READ & WRITE;
}
VARIABLE Battery_Fault
{
    LABEL   	[Battery_Fault];
    HELP	[Battery_Fault];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Valve_Jammed
{
    LABEL   	[Valve_Jammed];
    HELP	[Valve_Jammed];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}
VARIABLE Aux24V_Fault_Alarm
{
    LABEL   	[Aux24V_Fault_Alarm];
    HELP	[Aux24V_Fault_Alarm];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}
VARIABLE Too_Many_Starts_Alarm
{
    LABEL   	[Too_Many_Starts_Alarm];
    HELP	[Too_Many_Starts_Alarm];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}
VARIABLE Actuator_Pumping
{
    LABEL   	[Actuator_Pumping];
    HELP	[Actuator_Pumping];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}
VARIABLE Config_Memory_Fault
{
    LABEL   	[Config_Memory_Fault];
    HELP	[Config_Memory_Fault];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}
VARIABLE Activity_Memory_Fault
{
    LABEL   	[Activity_Memory_Fault];
    HELP	[Activity_Memory_Fault];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}
VARIABLE Base_Memory_Fault
{
    LABEL   	[Base_Memory_Fault];
    HELP	[Base_Memory_Fault];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Stop_Mid_Travel
{
    LABEL   	[Stop_Mid_Travel];
    HELP	[Stop_Mid_Travel];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}
VARIABLE Partiel_Stroke_In_Progress
{
    LABEL   	[Partiel_Stroke_In_Progress];
    HELP	[Partiel_Stroke_In_Progress];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}
VARIABLE Partiel_Stroke_Fault
{
    LABEL   	[Partiel_Stroke_Fault];
    HELP	[Partiel_Stroke_Fault];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}
VARIABLE Channel_Is_Primary
{
    LABEL   	[Channel_Is_Primary];
    HELP	[Channel_Is_Primary];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{	DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}

VARIABLE Channel_Available
{
    LABEL   	[Channel_Available];
    HELP	[Channel_Available];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{		DEFAULT_VALUE 0;
		{0,"1"}
		{1,"2"}
    	}
    HANDLING READ ;
}
VARIABLE Redundancy_Mode
{
    LABEL   	[Redundancy_Mode];
    HELP	[Redundancy_Mode];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{		DEFAULT_VALUE 0;
		{0,[SR]}
		{1,[FL]}
    	}
    HANDLING READ ;
}
VARIABLE Intelli_Communication_Fault
{
    LABEL   	[Intelli_Communication_Fault];
    HELP	[Intelli_Communication_Fault];
    CLASS	DYNAMIC;
    TYPE	ENUMERATED
	{		DEFAULT_VALUE 0;
		{0,[no]}
		{1,[yes]}
    	}
    HANDLING READ ;
}




